Skip to content

Cancel a TWAP order​

DELETE
/v1/twap/{currencyPair}/{orderId}

Cancels the remaining sub-orders of an active or untriggered TWAP order.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Path Parameters

currencyPair*

The currency pair of the TWAP order (e.g., BTCUSDT).

Type
string
Required
orderId*

The TWAP order ID.

Type
string
Required

Responses​

TWAP order cancelled successfully

Playground​

Authorization
Variables
Key
Value

Samples​